.vote-form {
  display: flex;
  flex-flow: column;
  height: 40rem;

  > * {
    flex: 1;
  }

  &__success-message {
    background-color: var(--turq);
    color: var(--black);
    font-size: 1.2rem;
    font-weight: 600;
    padding: 1rem 3rem;
    text-align: center;
    text-transform: uppercase;

    strong {
      color: inherit;
      letter-spacing: 0.3rem;
    }
  }

  &__progress-bar {
    align-items: center;
    display: flex;
    height: fit-content;
    margin-bottom: 1rem;
    position: relative;

    &__label {
      position: absolute;
      text-align: center;
      width: 100%;
      z-index: 1;
    }

    .progress {
      width: 100%;
    }
  }

  &__footer {
    font-size: 1rem;
    font-weight: normal;
    line-height: 2rem;
    margin-top: 2rem;
    text-align: center;

    &__spinner {
      display: inline-flex;
      height: auto;
      margin-right: 0.5rem;
      transform: scale(0.7);
      width: auto;
    }
  }

  &__cancel-button {
    &,
    &.btn {
      color: var(--red);
      font-size: 1.2rem;
      font-weight: 500;
    }
  }

  &__success-message,
  &__progress-bar,
  &__actions,
  &__submit-button,
  &__footer,
  .loader-error {
    flex: 0;
    width: 100%;
  }

  .loader-error {
    text-align: center;
  }
}
